((a,b)=>{a[b]=a[b]||{}})(self,"$__dart_deferred_initializers__")
$__dart_deferred_initializers__.current=function(a,b,c,$){var J,B,C,A={b0p:function b0p(){this.a=null
this.b=!1},b0r:function b0r(){},b0t:function b0t(d){this.a=d},b0s:function b0s(d){this.a=d},b0q:function b0q(d){this.a=d},I1:function I1(){},YK:function YK(d){this.$ti=d},bns:function bns(d){this.a=d},bnt:function bnt(d,e){this.a=d
this.b=e},aYJ:function aYJ(){},bd1:function bd1(d,e){this.a=d
this.b=e},aKa:function aKa(d,e){this.a=d
this.b=e},b3e:function b3e(d,e){this.a=d
this.b=e},bfD:function bfD(d,e){this.a=d
this.b=e},b0x:function b0x(d,e){this.a=d
this.b=e},aL6:function aL6(d,e){this.a=d
this.b=e},aKb:function aKb(){},aS9:function aS9(){},
c2P(d,e,f,g){var x,w={}
w.a=d
x=new A.af0(g.h("af0<0>"))
x.aCE(e,f,w,g)
return x},
af0:function af0(d){var _=this
_.b=_.a=$
_.c=null
_.d=!1
_.$ti=d},
b0z:function b0z(d,e){this.a=d
this.b=e},
b0y:function b0y(d){this.a=d},
a1C:function a1C(d,e,f,g,h){var _=this
_.a=d
_.b=e
_.c=f
_.e=_.d=!1
_.r=_.f=null
_.w=g
_.$ti=h},
bCN:function bCN(){},
apw:function apw(d){this.b=this.a=$
this.$ti=d},
apx:function apx(){},
bTH(d,e){return A.cjw(d,e)},
cjw(d,e){var x=0,w=B.o(y.E),v,u,t,s,r,q,p
var $async$bTH=B.k(function(f,g){if(f===1)return B.l(g,w)
while(true)switch(x){case 0:if(!d.oo("ws")&&!d.oo("wss"))throw B.d(B.dg(d,"url","only ws: and wss: schemes are supported"))
u=b.G
t=u.WebSocket
s=d.k(0)
u=u.Array
u=new u()
r=new t(s,u)
r.binaryType="arraybuffer"
q=new A.B4(r,B.fn(null,null,null,null,!1,y.U))
u=new B.T($.a8,y.j)
p=new B.as(u,y.V)
if(J.j(r.readyState,1))p.bV(0,q)
else if(J.j(r.readyState,2)||J.j(r.readyState,3))p.fw(new A.MZ("Unexpected WebSocket state: "+B.q(r.readyState)+", expected CONNECTING (0) or OPEN (1)"))
else new B.mX(r,"open",!1,y.C).gS(0).al(new A.aN2(p,q),y.H)
t=y.C
s=y.H
new B.mX(r,"error",!1,t).gS(0).al(new A.aN3(p,q),s)
B.ig(r,"message",new A.aN4(q),!1,y.m)
new B.mX(r,"close",!1,t).gS(0).al(new A.aN5(p,q),s)
v=u
x=1
break
case 1:return B.m(v,w)}})
return B.n($async$bTH,w)},
B4:function B4(d,e){this.a=d
this.b=e},
aN2:function aN2(d,e){this.a=d
this.b=e},
aN3:function aN3(d,e){this.a=d
this.b=e},
aN4:function aN4(d){this.a=d},
aN5:function aN5(d,e){this.a=d
this.b=e},
bX9(){return new A.MY("Connection Closed")},
wC:function wC(){},
Mo:function Mo(d){this.a=d},
H0:function H0(d){this.a=d},
Hr:function Hr(d,e){this.a=d
this.b=e},
MZ:function MZ(d){this.a=d},
MY:function MY(d){this.a=d},
ciT(d){var x=null,w=$.a8,v=new A.apw(y.Z),u=y.X,t=B.fn(x,x,x,x,!0,u),s=B.fn(x,x,x,x,!0,u),r=B.h(s),q=B.h(t)
v.a=A.c2P(new B.cc(s,r.h("cc<1>")),new B.n4(t,q.h("n4<1>")),!0,u)
v.b=A.c2P(new B.cc(t,q.h("cc<1>")),new B.n4(s,r.h("n4<1>")),!1,u)
v=new A.aJl(new B.as(new B.T(w,y.D),y.h),v)
v.aCr(d)
return v},
aJl:function aJl(d,e){var _=this
_.e=_.d=null
_.f=d
_.r=e
_.w=$},
aJp:function aJp(d){this.a=d},
aJm:function aJm(d){this.a=d},
aJn:function aJn(d){this.a=d},
aJo:function aJo(d,e){this.a=d
this.b=e},
aJq:function aJq(d){this.a=d},
aFY:function aFY(d,e){this.b=d
this.a=e},
arA:function arA(d){this.a=d},
cn2(){new A.b0p().H3()},
bfM(d,e){var x=0,w=B.o(y.H),v
var $async$bfM=B.k(function(f,g){if(f===1)return B.l(g,w)
while(true)switch(x){case 0:v=Date.now()
x=2
return B.e($.cez().U1(0,v%1e5,d,e,new A.bd1(D.U5,new A.aS9())),$async$bfM)
case 2:return B.m(null,w)}})
return B.n($async$bfM,w)}},D
J=c[1]
B=c[0]
C=c[2]
A=a.updateHolder(c[3],A)
D=c[5]
A.b0p.prototype={
H3(){var x=0,w=B.o(y.H),v,u=2,t=[],s=[],r=this,q,p,o,n,m
var $async$H3=B.k(function(d,e){if(d===1){t.push(e)
x=u}while(true)switch(x){case 0:if(r.b||r.a!=null){x=1
break}r.b=!0
u=4
o=r.Kf()
x=7
return B.e(y._.b(o)?o:B.dY(o,y.z),$async$H3)
case 7:q=e
if(J.b1(q)===0){s=[1]
x=5
break}p="wss://notifications.gooyal.com/stream?token="+B.q(q)
o=A.ciT(A.bTH(B.dF(p,0,null),null))
r.a=o
o=o.r.b
o===$&&B.a()
o=o.b
o===$&&B.a()
new B.cc(o,B.h(o).h("cc<1>")).aR(new A.b0r(),!0,new A.b0s(r),new A.b0t(r))
s.push(6)
x=5
break
case 4:u=3
m=t.pop()
B.aS(m)
r.Y4()
s.push(6)
x=5
break
case 3:s=[2]
case 5:u=2
r.b=!1
x=s.pop()
break
case 6:case 1:return B.m(v,w)
case 2:return B.l(t.at(-1),w)}})
return B.n($async$H3,w)},
Y4(){var x,w,v=this.a
if(v!=null){x=v.w
if(x===$){w=v.r.b
w===$&&B.a()
w=w.a
w===$&&B.a()
x=v.w=new A.aFY(v,w)}x.a2(0)}this.a=null
B.e3(C.pW,new A.b0q(this),y.P)},
Kf(){var x=0,w=B.o(y.z),v,u=2,t=[],s,r,q,p,o
var $async$Kf=B.k(function(d,e){if(d===1){t.push(e)
x=u}while(true)switch(x){case 0:u=4
x=7
return B.e(B.YB(),$async$Kf)
case 7:s=e
q=B.bc(J.a5(s.a,"notificationClientToken"))
r=q==null?"":q
v=r
x=1
break
u=2
x=6
break
case 4:u=3
o=t.pop()
v=""
x=1
break
x=6
break
case 3:x=2
break
case 6:case 1:return B.m(v,w)
case 2:return B.l(t.at(-1),w)}})
return B.n($async$Kf,w)}}
A.I1.prototype={
A(d,e){this.a.A(0,e)},
cT(d,e){this.a.cT(d,e)},
a2(d){return this.a.a2(0)},
$icY:1}
A.YK.prototype={
kx(d){var x=B.bG(),w=B.fn(new A.bns(x),null,null,null,!0,this.$ti.y[1])
x.b=d.fO(new A.bnt(this,w),w.gmn(w),w.gnT())
return new B.cc(w,B.h(w).h("cc<1>"))}}
A.aYJ.prototype={
U1(d,e,f,g,h){return this.awe(0,e,f,g,h)},
awe(d,e,f,g,h){var x=0,w=B.o(y.H),v
var $async$U1=B.k(function(i,j){if(i===1)return B.l(j,w)
while(true)switch(x){case 0:x=1
break
case 1:return B.m(v,w)}})
return B.n($async$U1,w)}}
A.bd1.prototype={}
A.aKa.prototype={
J(){return"AndroidNotificationChannelAction."+this.b}}
A.b3e.prototype={
J(){return"Importance."+this.b}}
A.bfD.prototype={
J(){return"Priority."+this.b}}
A.b0x.prototype={
J(){return"GroupAlertBehavior."+this.b}}
A.aL6.prototype={
J(){return"AudioAttributesUsage."+this.b}}
A.aKb.prototype={}
A.aS9.prototype={}
A.af0.prototype={
aCE(d,e,f,g){var x=this,w=$.a8
x.a!==$&&B.be()
x.a=new A.a1C(d,x,new B.as(new B.T(w,y.D),y.h),e,g.h("a1C<0>"))
if(f.a.gil())f.a=new A.YK(g.h("@<0>").aD(g).h("YK<1,2>")).kx(f.a)
w=B.fn(null,new A.b0z(f,x),null,null,!0,g)
x.b!==$&&B.be()
x.b=w},
ae6(){var x,w
this.d=!0
x=this.c
if(x!=null)x.an(0)
w=this.b
w===$&&B.a()
w.a2(0)}}
A.a1C.prototype={
A(d,e){if(this.e)throw B.d(B.a1("Cannot add event after closing."))
if(this.d)return
this.a.a.A(0,e)},
cT(d,e){if(this.e)throw B.d(B.a1("Cannot add event after closing."))
if(this.d)return
this.aM4(d,e)},
kv(d){return this.cT(d,null)},
aM4(d,e){var x=this
if(x.w){x.a.a.cT(d,e)
return}x.c.e6(d,e)
x.ae8()
x.b.ae6()
x.a.a.a2(0).j1(new A.bCN())},
a2(d){var x=this
if(x.e)return x.c.a
x.e=!0
if(!x.d){x.b.ae6()
x.c.bV(0,x.a.a.a2(0))}return x.c.a},
ae8(){this.d=!0
var x=this.c
if((x.a.a&30)===0)x.eM(0)
return},
$icY:1}
A.apw.prototype={}
A.apx.prototype={}
A.B4.prototype={
a9e(d,e){var x=this.b
if((x.b&4)!==0)return
x.A(0,new A.Hr(d,e))
x.a2(0)},
a5J(d){var x
if((this.b.b&4)!==0)throw B.d(A.bX9())
x=B.b3(d)
x.toString
this.a.send(x)},
th(d,e,f){return this.b4H(0,e,f)},
b4H(d,e,f){var x=0,w=B.o(y.H),v=this,u
var $async$th=B.k(function(g,h){if(g===1)return B.l(h,w)
while(true)switch(x){case 0:u=v.b
if((u.b&4)!==0)throw B.d(A.bX9())
u.a2(0)
v.a.close()
return B.m(null,w)}})
return B.n($async$th,w)},
$ibX8:1}
A.wC.prototype={}
A.Mo.prototype={
l(d,e){if(e==null)return!1
return e instanceof A.Mo&&e.a===this.a},
gu(d){return C.d.gu(this.a)}}
A.H0.prototype={
l(d,e){var x,w,v,u
if(e==null)return!1
if(e instanceof A.H0&&e.a.length===this.a.length){for(x=this.a,w=x.length,v=e.a,u=0;u<w;++u)if(v[u]!==x[u])return!1
return!0}return!1},
gu(d){return B.eo(this.a)},
k(d){return"BinaryDataReceived("+B.q(this.a)+")"}}
A.Hr.prototype={
l(d,e){if(e==null)return!1
return e instanceof A.Hr&&e.a===this.a&&e.b===this.b},
gu(d){return B.eo([this.a,this.b])},
k(d){return"CloseReceived("+this.a+", "+this.b+")"}}
A.MZ.prototype={
k(d){var x=this.a
if(x.length===0)return"WebSocketException"
else return"WebSocketException: "+x},
$ib8:1}
A.MY.prototype={
k(d){var x=this.a
if(x.length===0)return"WebSocketConnectionClosed"
else return"WebSocketConnectionClosed: "+x}}
A.aJl.prototype={
aCr(d){d.eQ(new A.aJp(this),new A.aJq(this),y.P)}}
A.aFY.prototype={
th(d,e,f){var x=this.b
x.d=e
x.e=f
return this.axA(0)},
a2(d){return this.th(0,null,null)}}
A.arA.prototype={
k(d){return"WebSocketChannelException: "+this.a},
$ib8:1}
var z=a.updateTypes(["b_(bX8)","~(wC)"])
A.b0r.prototype={
$1(d){B.c2(J.a5(C.aK.fE(0,d),"title"),J.a5(C.aK.fE(0,d),"message"),C.ea,C.M)
if($.bZX()||$.bZY())A.bfM(J.a5(C.aK.fE(0,d),"title"),J.a5(C.aK.fE(0,d),"message"))},
$S:25}
A.b0t.prototype={
$2(d,e){this.a.Y4()},
$S:66}
A.b0s.prototype={
$0(){this.a.Y4()},
$S:0}
A.b0q.prototype={
$0(){this.a.H3()},
$S:3}
A.bns.prototype={
$0(){return J.aIY(this.a.aE())},
$S:10}
A.bnt.prototype={
$1(d){var x,w,v,u
try{this.b.A(0,this.a.$ti.y[1].a(d))}catch(v){u=B.Y(v)
if(y.c.b(u)){x=u
w=B.aS(v)
this.b.cT(x,w)}else throw v}},
$S(){return this.a.$ti.h("~(1)")}}
A.b0z.prototype={
$0(){var x,w,v=this.b
if(v.d)return
x=this.a.a
w=v.b
w===$&&B.a()
v.c=x.fO(w.gfV(w),new A.b0y(v),w.gnT())},
$S:0}
A.b0y.prototype={
$0(){var x=this.a,w=x.a
w===$&&B.a()
w.ae8()
x=x.b
x===$&&B.a()
x.a2(0)},
$S:0}
A.bCN.prototype={
$1(d){},
$S:12}
A.aN2.prototype={
$1(d){this.a.bV(0,this.b)},
$S:20}
A.aN3.prototype={
$1(d){var x=this.a
if((x.a.a&30)===0)x.fw(new A.MZ("Failed to connect WebSocket"))
else this.b.a9e(1006,"error")},
$S:20}
A.aN4.prototype={
$1(d){var x,w,v=this.a.b
if((v.b&4)!==0)return
x=d.data
x.toString
w=B.bG()
if(typeof x==="string")w.b=new A.Mo(B.bw(x))
else if(typeof x==="object"&&B.hq(B.ep(x),"ArrayBuffer"))w.b=new A.H0(B.VP(y.a.a(x),0,null))
else throw B.d(B.a1("unexpected message type: "+J.al(x).k(0)))
v.A(0,w.aE())},
$S:2}
A.aN5.prototype={
$1(d){var x=this.a
if((x.a.a&30)===0)x.bV(0,this.b)
this.b.a9e(d.code,d.reason)},
$S:20}
A.aJp.prototype={
$1(d){var x=d.b,w=this.a
new B.cc(x,B.h(x).h("cc<1>")).dq(new A.aJm(w))
x=w.r.a
x===$&&B.a()
x=x.b
x===$&&B.a()
new B.cc(x,B.h(x).h("cc<1>")).bd1(new A.aJn(d),new A.aJo(w,d))
w.f.eM(0)},
$S:z+0}
A.aJm.prototype={
$1(d){var x,w,v
$label0$0:{x=d instanceof A.Mo
w=x?d.a:null
if(x){x=this.a.r.a
x===$&&B.a()
x=x.a
x===$&&B.a()
x.A(0,w)
break $label0$0}x=d instanceof A.H0
v=x?d.a:null
if(x){x=this.a.r.a
x===$&&B.a()
x=x.a
x===$&&B.a()
x.A(0,v)
break $label0$0}if(d instanceof A.Hr){x=this.a.r.a
x===$&&B.a()
x=x.a
x===$&&B.a()
x.a2(0)}}},
$S:z+1}
A.aJn.prototype={
$1(d){var x,w,v,u,t,s,r
try{$label1$1:{x=d
w=null
t=typeof x=="string"
if(t)w=x
if(t){t=this.a
s=w
if((t.b.b&4)!==0)B.E(A.bX9())
s=B.b3(s)
s.toString
t.a.send(s)
break $label1$1}v=null
t=y.p.b(x)
if(t)v=x
if(t){this.a.a5J(v)
break $label1$1}u=null
t=y.L.b(x)
if(t)u=x
if(t){this.a.a5J(new Uint8Array(B.bx(u)))
break $label1$1}t=B.aq("Cannot send "+J.al(d).k(0))
throw B.d(t)}}catch(r){if(!(B.Y(r) instanceof A.MY))throw r}},
$S:9}
A.aJo.prototype={
$0(){var x=0,w=B.o(y.H),v=1,u=[],t=this,s,r,q
var $async$$0=B.k(function(d,e){if(d===1){u.push(e)
x=v}while(true)switch(x){case 0:v=3
s=t.a
x=6
return B.e(t.b.th(0,s.d,s.e),$async$$0)
case 6:v=1
x=5
break
case 3:v=2
q=u.pop()
if(!(B.Y(q) instanceof A.MY))throw q
x=5
break
case 2:x=1
break
case 5:return B.m(null,w)
case 1:return B.l(u.at(-1),w)}})
return B.n($async$$0,w)},
$S:10}
A.aJq.prototype={
$1(d){var x,w=d instanceof B.zE?d:new A.arA(J.aw(d)),v=this.a
v.f.fw(w)
v=v.r.a
v===$&&B.a()
x=v.a
x===$&&B.a()
x.kv(w)
v=v.a
v===$&&B.a()
v.a2(0)},
$S:105};(function aliases(){var x=A.I1.prototype
x.axA=x.a2})();(function inheritance(){var x=a.inheritMany,w=a.inherit
x(B.z,[A.b0p,A.I1,A.aYJ,A.bd1,A.aKb,A.aS9,A.apx,A.a1C,A.apw,A.B4,A.wC,A.MZ,A.arA])
x(B.ux,[A.b0r,A.bnt,A.bCN,A.aN2,A.aN3,A.aN4,A.aN5,A.aJp,A.aJm,A.aJn,A.aJq])
w(A.b0t,B.QD)
x(B.QC,[A.b0s,A.b0q,A.bns,A.b0z,A.b0y,A.aJo])
w(A.YK,B.hd)
x(B.a18,[A.aKa,A.b3e,A.bfD,A.b0x,A.aL6])
x(A.apx,[A.af0,A.aJl])
x(A.wC,[A.Mo,A.H0,A.Hr])
w(A.MY,A.MZ)
w(A.aFY,A.I1)})()
B.c8L(b.typeUniverse,JSON.parse('{"I1":{"cY":["1"]},"YK":{"hd":["1","2"],"hd.S":"1","hd.T":"2"},"a1C":{"cY":["1"]},"B4":{"bX8":[]},"Mo":{"wC":[]},"H0":{"wC":[]},"Hr":{"wC":[]},"MZ":{"b8":[]},"MY":{"b8":[]},"aFY":{"cY":["@"]},"arA":{"b8":[]}}'))
B.c8K(b.typeUniverse,JSON.parse('{"I1":1,"apx":1}'))
var y=(function rtii(){var x=B.am
return{E:x("B4"),_:x("W<@>"),m:x("ac"),L:x("w<t>"),a:x("vo"),P:x("b_"),Z:x("apw<z?>"),c:x("tO"),p:x("ct"),U:x("wC"),V:x("as<B4>"),h:x("as<~>"),C:x("mX<ac>"),j:x("T<B4>"),D:x("T<~>"),z:x("@"),X:x("z?"),H:x("~")}})();(function constants(){D.aDc=new A.b3e(6,"max")
D.aDs=new A.bfD(3,"high")
D.aD9=new A.b0x(0,"all")
D.aCH=new A.aKa(0,"createIfNotExists")
D.aCI=new A.aL6(7,"notification")
D.U5=new A.aKb()})();(function lazyInitializers(){var x=a.lazyFinal
x($,"cKH","cez",()=>$.cdg())
x($,"cIg","cdg",()=>new A.aYJ())})()};
(a=>{a["fwrFUO3S5v5iKc1ueOcP25q+Wzc="]=a.current})($__dart_deferred_initializers__);